/*
 * File:      decoders.c
 * Copyright: (c) 2006 by Peter Gritsch
 * Email:     s4nag@no-where.at
 *
 * This file is part of SNMP4Nagios.
 *
 * SNMP4Nagios is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * SNMP4Nagios is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SNMP4Nagios; if not, write to the
 *
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include "decoders.h"
#include "globals.h"
#include "strutils.h"


char* DecodeCPQLocal ( int aLocal )
{
    char* retVal = NULL;

    switch ( aLocal )
    {
        case  1: retVal = StrDup ( "unknown location" ); break;
        case  2: retVal = StrDup ( "unknown location" ); break;
        case  3: retVal = StrDup ( "system" );           break;
        case  4: retVal = StrDup ( "system board" );     break;
        case  5: retVal = StrDup ( "IO board" );         break;
        case  6: retVal = StrDup ( "CPU" );              break;
        case  7: retVal = StrDup ( "memory" );           break;
        case  8: retVal = StrDup ( "storage" );          break;
        case  9: retVal = StrDup ( "removable media" );  break;
        case 10: retVal = StrDup ( "PSU" );              break;
        case 11: retVal = StrDup ( "ambient" );          break;
        case 12: retVal = StrDup ( "chassis" );          break;
        case 13: retVal = StrDup ( "bridge card" );      break;
        default: retVal = StrDup ( "invalid location" ); break;
    }
    return retVal;
}
