/*
 * File:      globals.c
 * Copyright: (c) 2006 by Peter Gritsch
 * Email:     s4nag@no-where.at
 *
 * This file is part of SNMP4Nagios.
 *
 * SNMP4Nagios is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * SNMP4Nagios is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SNMP4Nagios; if not, write to the
 *
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <syslog.h>
#include "snmpif.h"
#include "globals.h"


/********************/
/* Global variables */

char* progName = NULL;
char* srvName = NULL;
char* progVersion = NULL;
int loggingLevel = LOG_ERR;
int scanServices = FALSE;
int checkData = FALSE;
#if(WITH_RRD)
int logPerfData = FALSE;
int plotPerfData = FALSE;
#endif /* WITH_RRD */
int npPerfData = FALSE;
char* helpIndexP = NULL;
char* helpThresP = NULL;
char* helpPurpose = NULL;
char* hostName = NULL;
int isHostNameSet = FALSE;
char* hostAddr = NULL;
int isHostAddrSet = FALSE;
int hasIndexParam = FALSE;
int idx = -1;
int isIdxSet = FALSE;
int hasAddInfParam = FALSE;
char* addInf = NULL;
int isAddInfSet = FALSE;
char* community = NULL;
char* commFile = NULL;
long  snmpVersion = SNMP_VERSION_2c;
int snmpRetries = 5; /* Five retries */
int snmpTimeOut = 1000000; /* First timeout is 1 second */
int supportsPerfLog = FALSE;
#if(WITH_RRD)
char* rrdDir = RRDDIR;
int rrdStep = -1;
int rrdHBeat = -1;
char* pngDir = PNGDIR;
#endif /* WITH_RRD */

